Update Fileset Metadata

View as Markdown
Update Fileset Metadata.

Path parameters

workspacestringRequired
namestringRequired

Request

This endpoint expects an object.
descriptionstringOptional<=255 characters
The description of the fileset.
projectstringOptional
The name of the project associated with this fileset.
purposeenumOptional
The purpose of the fileset.
metadataobjectOptional

Purpose-specific metadata. Use the purpose as the key (e.g., {dataset: {…}}).

custom_fieldsmap from strings to anyOptional
Custom fields for the fileset.

Response

Successful Response
idstring
namestring
workspacestring
descriptionstring
purposeenum
storageobject
metadataobject

Tagged metadata container - the key indicates the type.

Example: metadata = FilesetMetadata( dataset=DatasetMetadataContent( schema={“columns”: [“id”, “name”]}, ) )

custom_fieldsmap from strings to any
projectstring
created_atstring
updated_atstring

Errors

422
Unprocessable Entity Error